"""Defines the RSS2 view
"""

from Products.Five.browser import BrowserView

from icnews.acquire.interfaces import IRSS2Feed

class RSS2View(BrowserView):
    """RSS2 view"""

    def __call__(self):
        """Use the RSS2 adapter to return the RSS2"""
        response = self.request.response
        response.setHeader('Content-Type', 'text/xml')
        return IRSS2Feed(self.context)